MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024514Community[OCCT] OCCT:Documentationpublic2014-01-03 13:542016-04-20 15:50
Reporterbarbier 
Assigned Tobugmaster 
PrioritynormalSeveritytext 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.0.0Fixed in Version[OCCT] 7.0.0 
Summary0024514: Unclear guidelines to report issues in Mantis
DescriptionHello,

I did read OCCT_ContributionWorkflow_V4.pdf before submitting issues, but some points are still unclear to me. It looks like Mantis has been configured for users who are using official binary releases, but things are less clear when dealing with git source files:
 * Category: My initial contributions will focus on fixing compiler warnings, which category is the most appropriate? BTW the first item (CCL:CCL) is pretty cryptic.
 * Select Profile: This "A L L" choice looks weird, I guess that this means any OS, but those extra spaces are quite disturbing.
 * Product Version: Should it be left blank in my case?
 * Target Version: Explain that it is not meant for reporters, but developers (or maybe managers?).

Can you please clarify section 2.2? Thanks.
TagsNo tags attached.
Test case number
Attached Files

- Relationships
related to 0023094closedbugmaster Community Automatic suggestion of the component maintainer 
related to 0026425closedbugmaster Open CASCADE Update of OCCT contribution workflow 

-  Notes
(0027395)
barbier (developer)
2014-01-08 16:01

Hello,

I forgot to mention Priority and Severity. These fields are sometimes abused by bug reporters (not specifically here on this tracker, but more generally on other open source projects I follow) to claim that their issues are critical. And when severity is lowered, they are angry and believe that their concerns are not taken seriously.
IMHO these fields should not filed by the bug reporter, but by bugmaster or the developer to whom the issue is assigned. If this is indeed the policy in use, it should be documented in section 2.2.
(0027441)
abv (manager)
2014-01-11 11:45

Category CCL:CCL has been renamed to PRODUCTS:CCL to indicate that it refers to commercial product rather than to open source OCCT. Other categories will be revised to remove useless ones and make the list shorter and simpler. Here is my current list:

    * OCCT:Foundation Classes - issues found in Foundation Classes module
    * OCCT:Modeling Data - issues found in Modeling Data classes
    * OCCT:Modeling Algorithms - issues found in Modeling Algorithms, except
      shape healing and meshing
    * OCCT:Shape Healing - issues found in Shape Healing component
    * OCCT:Mesh - issues found in BRepMesh algorithm
    * OCCT:Data Exchange - issues found in Data Exchange module
    * OCCT:Visualization - issues found in Visualization module
    * OCCT:Application Framework - issues found in OCAF
    * OCCT:DRAW - issues found in DRAW Test Harness
    * OCCT:Tests - issues found in Automatic Test System
    * OCCT:Documentstion - issues found in OCCT documentation
    * OCCT:Coding - general issues related to OCCT code
    * OCCT:Configuration - issues related to OCCT packaging, build system, etc.
    * OCCT:WOK - issues related to WOK
    * OCCT:Releases - issues related to official OCCT releases
    * Website:Tracker - issues related to use of OCCT Mantis issue tracker,
      tracker.dev.opencascade.org
    * Website:Portal - issues related to use of OCCT development portal,
      dev.opencascade.org
    * Website:Git - issues related to use of OCCT Git repository,
      git.dev.opencascade.org

I deem field Reproducibility is useless (it is more practical to provide this kind of information in description when needed) and it is better to exclude it.

For Priority and Severity, I agree their use must be clarified. The idea is that Severity is to be filled by reported to indicate importance of the issue for him; Priority is to be used by manager to regulate the order in which issues are processed.

Product Version should be filled to indicate the OCCT version on which the issue is reproduced (OCC_VERSION_COMPLETE as defined in Standard_Version.hxx). Target Version should normally be set to the next planned one, we shall check if default can be provided.

To summarize, the changes to be done are:
- Revise list of Categories
- Exclude offending item "A L L" from the list of predefined profiles
- Remove field Reproducibility
- Exclude field Priority from Report form
- Provide default for the field Target Version
- Update Contribution Workflow document

Please feel free to give additional comments on this
(0027442)
barbier (developer)
2014-01-11 12:10

Excellent, thanks!
(0027564)
ibs (developer)
2014-01-20 19:33

dear barbier,
thanks for your participation and care about OCCT.

dear bugmaster,
please close the issue due to all the changes have been integrated
(0027565)
abv (manager)
2014-01-20 21:38

Not yet: I still have to update Contribution Workflow document
(0049209)
git (administrator)
2015-12-16 14:55

Branch CR24514 has been created by abv.

SHA-1: 85bfdce4a3da7f26f960a6a0815b8f1370b2ed84


Detailed log of new commits:

Author: abv
Date: Wed Dec 16 14:55:07 2015 +0300

    0024514: Unclear guidelines to report issues in Mantis
    
    Contribution workflow document is revised and extended to eliminate inconsistencies and describe the process in more details:
    
    - Meaning of issue fields in Mantis (Category, Severity, Profile, Project and Target Version, etc.) is described in more details
    - Additional rules are defined and examples given for defining Summary and Description, and writing commit messages
    - Requirements for testing, creation of test case, update of user documentation, etc. when resolving an issue, are described
    - Additional elements of the workflow (patch sumbission, rebasing branches, use of feedback status, issue relationships) are described

Author: ysn
Date: Thu Oct 22 10:08:41 2015 +0300

    Workflow rewritten according to the remarks.
(0049210)
abv (manager)
2015-12-16 14:58

Contribution Workflow document is reworked to take into account both 0026425 and 0024514, please review
(0049211)
git (administrator)
2015-12-16 15:00

Branch CR24514 has been updated forcibly by abv.

SHA-1: da61cb7f34135eac3373924828b2940fe4ef3ada
(0049312)
git (administrator)
2015-12-18 17:06

Branch CR24514 has been updated by ysn.

SHA-1: 84f79205219070fbed9b2f696bfd26d30f1f761e


Detailed log of new commits:

Author: ysn
Date: Fri Dec 18 17:06:04 2015 +0300

    General proofreading of the document. Added more examples and recommendations concerning the commit messages.

(0049313)
ysn (developer)
2015-12-18 17:09

As for the general requirements to the style, I agree that they are necessary, but they should be formulated somewhere on an upper level, i.e. refer to any text connected with the bug: descriprion, code comments, etc. I'll think about it.
(0049314)
git (administrator)
2015-12-18 17:16

Branch CR24514_abv has been created by abv.

SHA-1: dd8f1ef71df54c25dc5a4a835c4a37f02acb0a55


Detailed log of new commits:

Author: abv
Date: Thu Dec 17 09:41:26 2015 +0300

    // added exception from general one-commit rule for minor corrections
(0049329)
git (administrator)
2015-12-21 06:08

Branch CR24514 has been updated by abv.

SHA-1: 0d3f657048f45357d0f4c31e13edd77d5c3f5403


Detailed log of new commits:

Author: abv
Date: Mon Dec 21 06:07:50 2015 +0300

    // Bugmaster is described
    // examples of messages are given in blockquotes and itelic
    // examples of commit messages are moved to appendix
    // added sub-sections for minor corrections and non-reproducible issues
    // other corrections

(0049335)
git (administrator)
2015-12-21 06:44

Branch CR24514_1 has been created by abv.

SHA-1: 2287c2ac4b961aae115ee650aa1f6e1926bbf86f


Detailed log of new commits:

Author: abv
Date: Wed Dec 16 14:55:07 2015 +0300

    0024514: Unclear guidelines to report issues in Mantis
    
    Contribution workflow document is revised and extended to eliminate inconsistencies and describe the process in more details:
    
    - Meaning of issue fields in Mantis (Category, Severity, Profile, Project and Target Version, etc.) is described in more details
    - Additional rules are defined and examples given for defining Summary and Description, and writing commit messages
    - Requirements for testing, creation of test case, update of user documentation, etc. when resolving an issue, are described
    - Additional elements of the workflow (patch sumbission, rebasing branches, use of feedback status, issue relationships) are described

Author: ysn
Date: Thu Oct 22 10:08:41 2015 +0300

    0026425: Update of OCCT contribution workflow
    
    Requirements to the release documentation described in more details.
    Added some suggestions concerning the workflow.
    Workflow rewritten according to the remarks.
(0049336)
abv (manager)
2015-12-21 06:48

Reviewed, please integrate. Note that branch CR24514_1 includes fixes for #26964, 0026992, 0026425.
(0049403)
git (administrator)
2015-12-21 19:48

Branch CR24514_1 has been updated by ysn.

SHA-1: afc4428f138718a823d7a5f2d50f977321237420


Detailed log of new commits:

Author: ysn
Date: Mon Dec 21 19:48:06 2015 +0300

    Checked insertions in the Contribution workflow.
    Added a Logo of better quality.
    Removed some leftovers of OCAF whitepapers.

(0049416)
git (administrator)
2015-12-22 11:55

Branch CR24514_1 has been updated by ysn.

SHA-1: 8a5d380ef43b7710a2407b18997051f68b183b18


Detailed log of new commits:

Author: ysn
Date: Tue Dec 22 11:55:24 2015 +0300

    Remarks taken into account. The example now better reflects the requirements.

(0049449)
git (administrator)
2015-12-22 14:37

Branch CR24514_2 has been created by abv.

SHA-1: 40ab0c48bbbe648604d54bebd981a466c44263ed


Detailed log of new commits:

Author: abv
Date: Tue Dec 22 13:58:36 2015 +0300

    0024514: Unclear guidelines to report issues in Mantis
    
    Contribution workflow document is revised and extended to eliminate inconsistencies and describe the process in more details:
    
    - Meaning of issue fields in Mantis (Category, Severity, Profile, Project and Target Version, etc.) is described in more details
    - Additional rules are defined and examples given for defining Summary and Description, and writing commit messages
    - Requirements for testing, creation of test case, update of user documentation, etc. when resolving an issue, are described
    - Additional elements of the workflow (patch sumbission, rebasing branches, use of feedback status, issue relationships) are described
    
    Some refinement in other guides; OCC logo updated for better quality.

Author: abv
Date: Mon Dec 21 13:05:29 2015 +0300

    0027023: Documentation -- cross-references are hardly noticeable in PDF
    
    Doxygen option PDF_HYPERLINKS is set to NO to enforce generation of cross-references as explicit page numbers in PDF manuals

Author: ysn
Date: Tue Nov 3 18:11:29 2015 +0300

    0027020: Documentation -- proof-read upgrade guide
    
    Developer guide update.md thoroughly checked and formatted.
(0049455)
bugmaster (administrator)
2015-12-22 15:30

Branch CR24514_2 contains fixes for #26964, 0026992, 0026425, 0027020, and 0027023
(0052933)
git (administrator)
2016-04-17 13:46

Branch CR24514 has been deleted by kgv.

SHA-1: 0d3f657048f45357d0f4c31e13edd77d5c3f5403
(0052934)
git (administrator)
2016-04-17 13:46

Branch CR24514_1 has been deleted by kgv.

SHA-1: 8a5d380ef43b7710a2407b18997051f68b183b18
(0052935)
git (administrator)
2016-04-17 13:46

Branch CR24514_2 has been deleted by kgv.

SHA-1: 40ab0c48bbbe648604d54bebd981a466c44263ed
(0052936)
git (administrator)
2016-04-17 13:46

Branch CR24514_abv has been deleted by kgv.

SHA-1: dd8f1ef71df54c25dc5a4a835c4a37f02acb0a55

- Related Changesets
occt: master dcc0a33e
Timestamp: 2015-12-22 10:58:36
Author: abv
Committer: bugmaster
Details ] Diff ]
0024514: Unclear guidelines to report issues in Mantis

Contribution workflow document is revised and extended to eliminate inconsistencies and describe the process in more details:

- Meaning of issue fields in Mantis (Category, Severity, Profile, Project and Target Version, etc.) is described in more details
- Additional rules are defined and examples given for defining Summary and Description, and writing commit messages
- Requirements for testing, creation of test case, update of user documentation, etc. when resolving an issue, are described
- Additional elements of the workflow (patch sumbission, rebasing branches, use of feedback status, issue relationships) are described

Some refinement in other guides; OCC logo updated for better quality.
mod - dox/dev_guides/contribution_workflow/contribution_workflow.md Diff ] File ]
rm - dox/dev_guides/contribution_workflow/images/OCCT_ContributionWorkflow_V3_image001.png Diff ] File ]
add - dox/dev_guides/contribution_workflow/images/OCCT_ContributionWorkflow_V3_image001.svg Diff ] File ]
mod - dox/dev_guides/tests/tests.md Diff ] File ]
mod - dox/resources/occt_logo.png Diff ] File ]
rm - dox/user_guides/ocaf_wp/images/ocaf_wp_image007.png Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-01-03 13:54 barbier New Issue
2014-01-03 13:54 barbier Assigned To => user533
2014-01-08 15:43 abv Assigned To user533 => abv
2014-01-08 15:43 abv Status new => assigned
2014-01-08 16:01 barbier Note Added: 0027395
2014-01-11 11:45 abv Note Added: 0027441
2014-01-11 12:10 barbier Note Added: 0027442
2014-01-14 13:16 abv Relationship added related to 0023094
2014-01-20 19:33 ibs Note Added: 0027564
2014-01-20 19:33 ibs Assigned To abv => bugmaster
2014-01-20 19:33 ibs Status assigned => resolved
2014-01-20 19:33 ibs Status resolved => reviewed
2014-01-20 19:35 ibs Assigned To bugmaster => abv
2014-01-20 19:35 ibs Status reviewed => feedback
2014-01-20 21:38 abv Note Added: 0027565
2014-01-20 21:38 abv Status feedback => assigned
2015-12-16 14:55 git Note Added: 0049209
2015-12-16 14:55 abv Relationship added related to 0026425
2015-12-16 14:58 abv Note Added: 0049210
2015-12-16 14:58 abv Assigned To abv => ysn
2015-12-16 14:58 abv Severity minor => text
2015-12-16 14:58 abv Status assigned => resolved
2015-12-16 14:58 abv Category Website:Tracker => OCCT:Documentation
2015-12-16 14:58 abv OS L =>
2015-12-16 14:58 abv OS Version L =>
2015-12-16 14:58 abv Platform A =>
2015-12-16 14:58 abv Target Version => 7.0.0
2015-12-16 15:00 git Note Added: 0049211
2015-12-18 17:06 git Note Added: 0049312
2015-12-18 17:09 ysn Note Added: 0049313
2015-12-18 17:16 git Note Added: 0049314
2015-12-21 06:08 git Note Added: 0049329
2015-12-21 06:44 git Note Added: 0049335
2015-12-21 06:48 abv Note Added: 0049336
2015-12-21 06:48 abv Assigned To ysn => bugmaster
2015-12-21 06:48 abv Status resolved => reviewed
2015-12-21 19:48 git Note Added: 0049403
2015-12-22 11:55 git Note Added: 0049416
2015-12-22 14:37 git Note Added: 0049449
2015-12-22 15:28 bugmaster Status reviewed => tested
2015-12-22 15:30 bugmaster Note Added: 0049455
2015-12-25 19:04 bugmaster Changeset attached => occt master dcc0a33e
2015-12-25 19:04 bugmaster Status tested => verified
2015-12-25 19:04 bugmaster Resolution open => fixed
2016-04-17 13:46 git Note Added: 0052933
2016-04-17 13:46 git Note Added: 0052934
2016-04-17 13:46 git Note Added: 0052935
2016-04-17 13:46 git Note Added: 0052936
2016-04-20 15:43 user533 Fixed in Version => 7.0.0
2016-04-20 15:50 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker